[@rxap/form-system](../wiki/globals) / UseAutocompleteResolveMethod

# Function: UseAutocompleteResolveMethod()

> **UseAutocompleteResolveMethod**\<`Value`\>(`method`, `config`): `any`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:62](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L62)

## Type Parameters

• **Value** = `unknown`

## Parameters

### method

`ProviderToken`\<`MethodWithParameters`\<`ControlOption`\<`Value`, `string`\>, `OpenApiRemoteMethodParameter`\<\{ `value`: `string`; \}, `any`\>\>\>

### config

[`UseMethodConfig`](../wiki/Interface.UseMethodConfig) = `{}`

## Returns

`any`
